Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer
Class ServiceProxyDestroyedException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.gemini.blueprint.OsgiException
                      org.eclipse.gemini.blueprint.service.ServiceException
                          org.eclipse.gemini.blueprint.service.importer.ServiceProxyDestroyedException

All Implemented Interfaces:
  Serializable

    public class ServiceProxyDestroyedException

extends ServiceException

Exception indicating the accessed OSGi service proxy has been destroyed. Usually this exception is thrown when certain operations (normally those that involve accessing the proxy target service ) are called on an OSGi service proxy that has been destroyed.

Author:
  Costin Leau
See Also:
  Serialized Form

Constructor Summary
`ServiceProxyDestroyedException()` Constructs a new `ServiceProxyDestroyedException` instance.
`ServiceProxyDestroyedException(String message)` Constructs a new `ServiceProxyDestroyedException` instance.
`ServiceProxyDestroyedException(String message, Throwable cause)` Constructs a new `ServiceProxyDestroyedException` instance.
`ServiceProxyDestroyedException(Throwable cause)` Constructs a new `ServiceProxyDestroyedException` instance.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ServiceProxyDestroyedException

    public ServiceProxyDestroyedException()

  Constructs a new `ServiceProxyDestroyedException` instance.

### ServiceProxyDestroyedException

    public ServiceProxyDestroyedException(String message,
                                          Throwable cause)

  Constructs a new `ServiceProxyDestroyedException` instance.

  Parameters:
    `message` -
    `cause` -

### ServiceProxyDestroyedException

    public ServiceProxyDestroyedException(String message)

  Constructs a new `ServiceProxyDestroyedException` instance.

  Parameters:
    `message` -

### ServiceProxyDestroyedException

    public ServiceProxyDestroyedException(Throwable cause)

  Constructs a new `ServiceProxyDestroyedException` instance.

  Parameters:
    `cause` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2010 Spring Framework. All Rights Reserved.